﻿@model Booksweb.ViewModels.CategoryBookData

@{
    ViewBag.Title = "Knihy";
}

<h2>Knihy</h2>


@using (Html.BeginForm())
{
    <div class="container">
        <div class="row">
            <div class="col-3">

                <label for="SelectedIDs">Vyberte kategorie</label>
                @Html.ListBoxFor(x => x.SelectedIDs, Model.Items, new { @class = "custom-select" })

            </div>
            <div class="col-6">
                <input type="submit" value="Vybrat" class="btn btn-primary" />
                <input type="submit" name="clear" value="Zrušit výběr" class="btn btn-primary" />
            </div>

            <div class="col-2">
                @Html.ActionLink("Přidat novou knihu", "Create", new { @class = "btn btn-primary" })
            </div>
        </div>
    </div>



    <table class="table">
        <tr>
            <th>
                @Html.ActionLink("Název", "Index", new { sortOrder = ViewBag.NameSortParm, currentFilter = ViewBag.CurrentFilter })
            </th>
            <th>
                @Html.ActionLink("Autor", "Index", new { sortOrder = ViewBag.AuthorSortParm, currentFilter = ViewBag.CurrentFilter })
            </th>
            <th>
                @Html.ActionLink("Rok vydání", "Index", new { sortOrder = ViewBag.YearSortParm, currentFilter = ViewBag.CurrentFilter })
            </th>
            <th>
                ISBN
            </th>
            <th>
            </th>
        </tr>

        @foreach (var item in Model.Book)
        {
            <tr>
                <td>
                    @Html.DisplayFor(modelItem => item.B_Name)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.B_Author)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.B_Year)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.B_ISBN)
                </td>
                <td>
                    @Html.ActionLink("Editovat", "Edit", new { id = item.B_IDBook }) |
                    @Html.ActionLink("Detail", "Details", new { id = item.B_IDBook }) |
                    @Html.ActionLink("Smazat", "Delete", new { id = item.B_IDBook })
                </td>
            </tr>
        }

    </table>
}
